Subject: Re: Booting Linux without bootloader on Sandpoint X3 with PPC755 CPU, Montavista Linux

From: "Mark A. Greer" <[email-masked]>
Date: Mon, 09 Jun 2003 14:29:34 -0700

Dong-In,

This has come up and been answered several times before.  Please search
the linuxppc-embedded and linuxppc-dev mail archives.

Mark
--

dong in kang wrote:

> Hello,
>
> I try to boot MontaVista Linux on Sandpoint X3 with PPC755 CPU.
>I make zImage.initrd for Sandpoint X3, and loaded it on the SDRAM at
>0x800000.
>I used bdi to initialize memory controller and load the binary image of
>zImage.initrd on the SDRAM.
>Although I don't use bootloader, I can read/write SDRAM without any problem.
>The only change I made is memory size change in
>arch/ppc/platform/sandpoint_setup.c file
>
> size = 128*1024*1024;   /* 128 M bytes */
>
>I also changed the size of memory in the boot parameters.
>
> However, the Linux doesn't seem to boot properly.
>The serial line keeps silent.
>It keeps running. When I halt the running with bdi, it is in
>"emit_log_char".
>Could anybody tell me what's possibly wrong?
>
> Thanks,
>
> Dong-In
>
>
>
>
>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/